Bug 9446 - Use DataTables on Z39.50 servers administration page
Summary: Use DataTables on Z39.50 servers administration page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-22 17:56 UTC by Owen Leonard
Modified: 2014-05-26 21:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9446 - Use DataTables on Z39.50 servers administration page (3.93 KB, patch)
2013-01-22 18:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9446 - Use DataTables on Z39.50 servers administration page (3.95 KB, patch)
2013-01-23 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9446 [Revised] Use DataTables on Z39.50 servers administration page (3.97 KB, patch)
2013-02-26 16:29 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9446 [Revised] Use DataTables on Z39.50 servers administration page (4.04 KB, patch)
2013-02-27 23:44 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9446 [Revised] Use DataTables on Z39.50 servers administration page (4.22 KB, patch)
2013-03-05 09:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9446 [Revised] Use DataTables on Z39.50 servers administration page (3.64 KB, patch)
2013-03-13 16:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9446 [Revised] Use DataTables on Z39.50 servers administration page (3.66 KB, patch)
2013-03-20 11:45 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 9446 [Revised] Use DataTables on Z39.50 servers administration page (3.72 KB, patch)
2013-03-20 14:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-22 17:56:48 UTC
The Z39.50 servers administration page uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-01-22 18:03:54 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-01-23 08:45:18 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-02-26 16:29:41 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2013-02-27 23:44:44 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-03-05 09:59:26 UTC
QA comment:

This patch replaces tablesorter with datatable on the z3950 servers admin page.

Marked as Passed QA.
Comment 6 Jonathan Druart 2013-03-05 09:59:41 UTC Comment hidden (obsolete)
Comment 7 Jared Camins-Esakov 2013-03-07 15:41:55 UTC
This patch has been pushed to master.
Comment 8 Jared Camins-Esakov 2013-03-11 12:53:34 UTC
This patch has been reverted from master at the request of the author.
Comment 9 Jared Camins-Esakov 2013-03-13 12:16:44 UTC
Per discussion with Owen, I am going to re-merge this patch.
Comment 10 Jared Camins-Esakov 2013-03-13 13:03:38 UTC
Actually, disregard my last comment. This patch re-adds the YUI toolbar.
Comment 11 Owen Leonard 2013-03-13 16:49:11 UTC Comment hidden (obsolete)
Comment 12 Paul Poulain 2013-03-20 11:44:58 UTC
Patch tested with a sandbox, by Frederic Durand <frederic.durand@unilim.fr>
Comment 13 Paul Poulain 2013-03-20 11:45:16 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2013-03-20 14:11:02 UTC
QA comment:

This patch replaces tablesorter with datatable on the z3950 servers admin page.

Marked as Passed QA.
Comment 15 Jonathan Druart 2013-03-20 14:11:19 UTC
Created attachment 16523 [details] [review]
Bug 9446 [Revised] Use DataTables on Z39.50 servers administration page

Replace the tablesorter plugin with the DataTables plugin on the
Z39.50 servers administration page. Structural changes were made to
deal with a DataTables bug which prevents it from properly parsing a
<th> with a colspan.

This patch also moves embedding of the toolbar and table-sorting JS from
within the body of the page to the <head> for sake of consistency.

To test, open the Z39.50 servers administration page (Administration ->
Z39.50 client targets). Confirm that table sorting works
correctly.

Revision corrects template path to datatables assets.
Further revision fixes conflict with Bug 9647.

Signed-off-by: Frederic Durand <frederic.durand@unilim.fr>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 16 Jared Camins-Esakov 2013-03-20 19:28:06 UTC
This patch has been pushed to master.